# Uses of Class
javafx.scene.media.MediaMarkerEvent

Packages that use MediaMarkerEvent
Package
Description
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.

## Uses of MediaMarkerEvent in javafx.scene.media

Methods in javafx.scene.media that return types with arguments of type MediaMarkerEvent
Modifier and Type
Method
Description
`final EventHandler<MediaMarkerEvent>`
MediaPlayer.`getOnMarker()`
Retrieves the marker event handler.
`ObjectProperty<EventHandler<MediaMarkerEvent>>`
MediaPlayer.`onMarkerProperty()`
Event handler invoked when the player `currentTime` reaches a media marker.
Method parameters in javafx.scene.media with type arguments of type MediaMarkerEvent
Modifier and Type
Method
Description
`final void`
MediaPlayer.`setOnMarker(EventHandler<MediaMarkerEvent> onMarker)`
Sets the marker event handler.